/* eslint-disable react/display-name */
/* eslint-disable react/prop-types */
import { Space } from 'antd'

const Logo = ({ width, height }) => (
  <svg width={width} height={height} viewBox="0 0 245 80" fill="none" xmlns="http://www.w3.org/2000/svg">
    <g clipPath="url(#clip0_120181_178597)">
      <path
        d="M56.41 46.93C56.4044 46.8635 56.4044 46.7966 56.41 46.73C56.41 46.73 56.47 46.46 56.49 46.34C58.4 37.23 63.39 31.77 74.27 31.76H106.65C106.85 31.7678 107.039 31.8541 107.175 32.0001C107.312 32.1461 107.385 32.3401 107.38 32.54C107.384 32.6066 107.384 32.6734 107.38 32.74C105.68 42 100.59 47.74 89.52 47.74H57.14C56.9411 47.7297 56.7539 47.6427 56.6177 47.4972C56.4816 47.3518 56.4071 47.1592 56.41 46.96"
        fill="#31BAD6"
      />
      <path
        d="M114 77.17L115.4 63.27C115.458 62.9206 115.442 62.5627 115.352 62.2202C115.261 61.8776 115.099 61.5582 114.876 61.283C114.653 61.0079 114.374 60.7833 114.057 60.6241C113.741 60.465 113.394 60.375 113.04 60.36H63.9C63.6592 60.3698 63.429 60.4613 63.2472 60.6194C63.0655 60.7776 62.943 60.9929 62.9 61.23C62.8946 61.2899 62.8946 61.3501 62.9 61.41C62.8 72.6 71.49 78.15 83.78 78.15H113C113.258 78.1294 113.501 78.0174 113.684 77.8342C113.867 77.6509 113.979 77.4083 114 77.15"
        fill="#35A7AA"
      />
      <path
        d="M121.59 2.21001L120.19 16.12C120.134 16.867 119.812 17.5691 119.281 18.0979C118.75 18.6266 118.047 18.9469 117.3 19H69.64C69.4163 18.9896 69.2057 18.8914 69.054 18.7266C68.9024 18.5618 68.8218 18.3438 68.83 18.12C68.8256 18.0601 68.8256 17.9999 68.83 17.94C70.83 6.75001 79.77 1.20001 92.06 1.20001H120.76C120.881 1.20698 120.999 1.23912 121.107 1.29439C121.215 1.34966 121.31 1.42684 121.386 1.52098C121.462 1.61511 121.518 1.72414 121.55 1.84107C121.581 1.958 121.588 2.08026 121.57 2.20001"
        fill="#FAAB54"
      />
      <path
        d="M244.11 2.00001C244.098 1.80553 244.012 1.62297 243.87 1.49001C243.719 1.33476 243.516 1.24193 243.3 1.23001H231.68C231.025 1.22681 230.393 1.46793 229.907 1.90623C229.42 2.34453 229.115 2.94849 229.05 3.60001L226.27 31.06L226.22 31.5C226.176 31.679 226.073 31.838 225.928 31.9521C225.783 32.0662 225.604 32.1288 225.42 32.13H202.76C202.648 32.1428 202.534 32.1301 202.428 32.0929C202.321 32.0557 202.225 31.9949 202.145 31.9152C202.065 31.8354 202.004 31.7386 201.967 31.6321C201.93 31.5256 201.917 31.4121 201.93 31.3C201.93 31.24 204.88 2.15001 204.93 2.05001C204.918 1.84171 204.841 1.64241 204.71 1.48001C204.635 1.40116 204.545 1.33833 204.446 1.29535C204.346 1.25237 204.239 1.23014 204.13 1.23001H192.47C191.816 1.22906 191.185 1.47096 190.699 1.90883C190.213 2.34669 189.907 2.94935 189.84 3.60001C189.84 3.60001 182.4 77.38 182.39 77.4C182.402 77.5686 182.47 77.7284 182.582 77.8549C182.694 77.9814 182.844 78.0675 183.01 78.1C183.049 78.1098 183.091 78.1098 183.13 78.1H196.49C196.668 78.1035 196.842 78.0443 196.981 77.9329C197.12 77.8214 197.215 77.6646 197.25 77.49C197.25 77.49 200.25 48.17 200.25 47.92C200.25 47.92 200.25 47.69 200.25 47.65C200.293 47.4639 200.397 47.2975 200.546 47.1778C200.694 47.0581 200.879 46.9919 201.07 46.99H223.72C223.9 46.9911 224.075 47.05 224.219 47.158C224.363 47.266 224.469 47.4175 224.52 47.59C224.537 47.686 224.537 47.7841 224.52 47.88L221.52 77.38V77.51C221.56 77.6502 221.636 77.7771 221.742 77.8774C221.847 77.9777 221.978 78.0477 222.12 78.08C222.163 78.0906 222.207 78.0906 222.25 78.08H235.7C235.878 78.0835 236.052 78.0243 236.191 77.9129C236.33 77.8014 236.425 77.6446 236.46 77.47L244.11 2.00001Z"
        fill="#36A7AA"
      />
      <path
        d="M39.8 38.07C39.4678 38.6071 39.2754 39.2189 39.2404 39.8495C39.2055 40.4802 39.3291 41.1095 39.6 41.68C39.6 41.68 52.91 72.57 54.8 76.94C54.7961 76.9632 54.7961 76.9868 54.8 77.01C54.8319 77.1069 54.8487 77.208 54.85 77.31C54.8514 77.422 54.8303 77.5331 54.7881 77.6369C54.7458 77.7406 54.6833 77.8348 54.6041 77.914C54.5249 77.9932 54.4306 78.0558 54.3269 78.098C54.2232 78.1403 54.112 78.1613 54 78.16H42C41.4032 78.1613 40.8186 77.9902 40.3166 77.6674C39.8146 77.3445 39.4165 76.8836 39.17 76.34L39.1 76.17C37.5 72.46 27.92 49.44 27.92 49.44C27.788 49.1585 27.6235 48.8934 27.43 48.65C27.0769 48.2241 26.6501 47.865 26.17 47.59C26.06 47.54 25.94 47.46 25.8 47.41C25.2645 47.1745 24.6851 47.0552 24.1 47.06H18.65C18.5156 47.0628 18.3839 47.0989 18.267 47.1653C18.15 47.2316 18.0514 47.326 17.98 47.44C17.9534 47.4835 17.9332 47.5307 17.92 47.58V47.66C17.92 47.66 14.92 77.48 14.92 77.51C14.8844 77.6718 14.8048 77.8206 14.69 77.94C14.5513 78.0651 14.376 78.1423 14.19 78.16H0.770024C0.667774 78.1642 0.565757 78.1472 0.470419 78.11C0.375081 78.0728 0.288494 78.0163 0.216131 77.9439C0.143767 77.8715 0.0871995 77.7849 0.0500025 77.6896C0.0128054 77.5943 -0.0042125 77.4922 2.40555e-05 77.39L7.61002 1.86C7.6487 1.68448 7.74607 1.5274 7.88606 1.41468C8.02605 1.30196 8.20029 1.24034 8.38002 1.24H21.73C21.832 1.23868 21.9332 1.25762 22.0278 1.29572C22.1223 1.33382 22.2084 1.39033 22.281 1.46196C22.3535 1.5336 22.4111 1.61893 22.4505 1.71301C22.4898 1.80709 22.51 1.90804 22.51 2.01V2.35L19.58 31.35C19.5745 31.4166 19.5745 31.4835 19.58 31.55C19.6344 31.704 19.7306 31.8397 19.8577 31.9422C19.9849 32.0446 20.138 32.1096 20.3 32.13H25.94C26.6708 32.126 27.3892 31.9413 28.0313 31.5924C28.6734 31.2434 29.2192 30.741 29.62 30.13C29.62 30.08 47.22 2.43 47.24 2.41C47.5324 2.03883 47.9065 1.74015 48.3331 1.53722C48.7598 1.33428 49.2276 1.23257 49.7 1.24H61.48C61.6152 1.22392 61.7523 1.23872 61.8809 1.28329C62.0096 1.32786 62.1264 1.40104 62.2227 1.49731C62.319 1.59358 62.3922 1.71044 62.4367 1.83908C62.4813 1.96773 62.4961 2.10481 62.48 2.24C62.4693 2.47186 62.4042 2.69795 62.29 2.9L39.8 38.07Z"
        fill="#36A7AA"
      />
      <path
        d="M176.81 19C176.812 19.1372 176.78 19.2727 176.717 19.3948C176.654 19.5168 176.563 19.6216 176.45 19.7C176.359 19.7552 176.262 19.7989 176.16 19.83L165 21.13H164.72C164.181 21.1302 163.654 20.972 163.204 20.6751C162.754 20.3782 162.402 19.9556 162.19 19.46C162.15 19.3773 162.119 19.29 162.1 19.2C160.57 14.93 157.19 12.8 151.91 12.8C148.63 12.8 146.19 13.65 144.58 15.33C143.751 16.2542 143.123 17.3398 142.734 18.5187C142.345 19.6975 142.204 20.9441 142.32 22.18C142.341 23.3371 142.639 24.4723 143.19 25.49C143.612 26.261 144.183 26.9407 144.87 27.49C146.497 28.7767 149.497 30.07 153.87 31.37C161.43 33.5167 166.933 36.23 170.38 39.51C173.385 42.4839 175.247 46.4206 175.64 50.63C175.77 51.57 175.85 52.55 175.89 53.57C176.163 61.25 174.05 67.4433 169.55 72.15C165.05 76.8567 158.663 79.2467 150.39 79.32C141.863 79.32 135.197 76.9867 130.39 72.32C127.085 69.1611 124.767 65.1105 123.72 60.66V60.53C123.715 60.4801 123.715 60.4299 123.72 60.38C123.72 60.1886 123.786 60.0029 123.906 59.8538C124.026 59.7047 124.193 59.601 124.38 59.56L135.88 58.28H136.16C136.652 58.279 137.135 58.4115 137.558 58.6633C137.98 58.9151 138.327 59.2769 138.56 59.71L138.68 59.95C139.227 61.0792 139.934 62.1234 140.78 63.05C142.93 65.41 146.18 66.6 150.49 66.6C154.08 66.67 156.81 65.76 158.7 63.85C160.59 61.94 161.45 59.35 161.33 56.04C161.311 55.0797 161.142 54.1283 160.83 53.22C160.409 52.0148 159.678 50.9419 158.71 50.11C157.05 48.68 154.11 47.35 149.86 46.11C142.193 44.11 136.693 41.4433 133.36 38.11C130.713 35.3754 128.995 31.8764 128.45 28.11C128.222 26.7674 128.085 25.411 128.04 24.05C127.8 17.15 129.867 11.42 134.24 6.85999C138.613 2.29999 144.613 0.019989 152.24 0.019989C159.71 0.019989 166.13 1.90999 170.44 5.77999C173.9 8.89999 176.057 13.2333 176.91 18.78C176.886 18.8571 176.852 18.931 176.81 19Z"
        fill="#36A7AA"
      />
    </g>
    <defs>
      <clipPath id="clip0_120181_178597">
        <rect width="244.11" height="79.31" fill="white" />
      </clipPath>
    </defs>
  </svg>
)

export default ({ width, height }) => (
  <Space>
    <Logo width={width} height={height} />
  </Space>
)
